Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class GlobalInfoEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.GlobalInfoEvent

All Implemented Interfaces:
  java.io.Serializable

    public class GlobalInfoEvent

extends java.util.EventObject

A semantic event which indicates changes to the global settings of the sampler.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GlobalInfoEvent(java.lang.Object source)` Constructs a `GlobalInfoEvent` object.
`GlobalInfoEvent(java.lang.Object source, float volume)` Constructs a `GlobalInfoEvent` object.
`GlobalInfoEvent(java.lang.Object source, int maxVoices, int maxStreams)` Constructs a `GlobalInfoEvent` object.

Method Summary
`int` | `getStreamLimit()` Gets the new global sampler-wide limit of maximum disk streams.
`int` | `getVoiceLimit()` Gets the new global sampler-wide limit of maximum voices.
`float` | `getVolume()` Gets the new global volume value of the sampler.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlobalInfoEvent

    public GlobalInfoEvent(java.lang.Object source)

  Constructs a `GlobalInfoEvent` object.

  Parameters:
    `source` - The object that originated the event.

### GlobalInfoEvent

    public GlobalInfoEvent(java.lang.Object source,
                           float volume)

  Constructs a `GlobalInfoEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `volume` - Specifies the new global volume of the sampler.

### GlobalInfoEvent

    public GlobalInfoEvent(java.lang.Object source,
                           int maxVoices,
                           int maxStreams)

  Constructs a `GlobalInfoEvent` object.

  Parameters:
    `source` - The object that originated the event.

Method Detail

### getVolume

    public float getVolume()

  Gets the new global volume value of the sampler. The returned value is only valid when `GlobalInfoListener.volumeChanged(org.linuxsampler.lscp.event.GlobalInfoEvent)` event is fired.

  Returns:
    The new global volume value of the sampler.

### getVoiceLimit

    public int getVoiceLimit()

  Gets the new global sampler-wide limit of maximum voices. The returned value is only valid when `GlobalInfoListener.voiceLimitChanged(org.linuxsampler.lscp.event.GlobalInfoEvent)` event is fired.

  Returns:
    The new global sampler-wide limit of maximum voices.

### getStreamLimit

    public int getStreamLimit()

  Gets the new global sampler-wide limit of maximum disk streams. The returned value is only valid when `GlobalInfoListener.streamLimitChanged(org.linuxsampler.lscp.event.GlobalInfoEvent)` event is fired.

  Returns:
    The new global sampler-wide limit of maximum disk streams.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.